<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_76b2584d18510f88" . "7f4a6f6b81f96952" => base64_decode("Y29tbW9uLm" . "hlYWRlci5m" . "b3J1bQ=="), "_4cb84eb74ebb3a0" . "cd6e531eaa815709" . "2" => base64_decode("YXBwX" . "2Zvcn" . "Vt"), "_0c5123aa744f69bbc0e8" . "b3ea2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "_d36d5ad3900b429055d2ab" . "305b68bdbd" => base64_decode("Zm9ydW1fbWVzc2FnZQ=" . "="));
use Claromentis\Forum\ForumApplication as ForumForumApplication;
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d36d5ad3900b429055d2ab30" . "5b68bdbd"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_76b2584d18510" . "f887f4a6f6b81f" . "96952"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4cb84eb74ebb3a0c" . "d6e531eaa8157092"];
    }
    public function GetIcon() : string
    {
        return ForumForumApplication::APPLICATION_SVG_URL;
    }
}